## org.eclipse.datatools.modelbase.dbdefinition
Interface ConstraintDefinition

All Known Implementing Classes:
  ConstraintDefinitionImpl

    public interface ConstraintDefinition

A representation of the model object 'Constraint Definition'.

The following features are supported:

- `Deferrable Constraint Supported`
- `Informational Constraint Supported`
- `Clustered Primary Key Supported`
- `Clustered Unique Constraint Supported`
- `Primary Key Nullable`
- `Unique Key Nullable`
- `Maximum Check Expression Length`
- `Parent Update DRI Rule Type`
- `Parent Delete DRI Rule Type`
- `Check Option`
- `Maximum Primary Key Identifier Length`
- `Maximum Foreign Key Identifier Length`
- `Maximum Check Constraint Identifier Length`

See Also:
  `DatabaseDefinitionPackage.getConstraintDefinition()`

Method Summary
`EList` `getCheckOption()` Returns the value of the 'Check Option' attribute list.
`int` `getMaximumCheckConstraintIdentifierLength()` Returns the value of the 'Maximum Check Constraint Identifier Length' attribute.
`int` `getMaximumCheckExpressionLength()` Returns the value of the 'Maximum Check Expression Length' attribute.
`int` `getMaximumForeignKeyIdentifierLength()` Returns the value of the 'Maximum Foreign Key Identifier Length' attribute.
`int` `getMaximumPrimaryKeyIdentifierLength()` Returns the value of the 'Maximum Primary Key Identifier Length' attribute.
`EList` `getParentDeleteDRIRuleType()` Returns the value of the 'Parent Delete DRI Rule Type' attribute list.
`EList` `getParentUpdateDRIRuleType()` Returns the value of the 'Parent Update DRI Rule Type' attribute list.
`boolean` `isClusteredPrimaryKeySupported()` Returns the value of the 'Clustered Primary Key Supported' attribute.
`boolean` `isClusteredUniqueConstraintSupported()` Returns the value of the 'Clustered Unique Constraint Supported' attribute.
`boolean` `isDeferrableConstraintSupported()` Returns the value of the 'Deferrable Constraint Supported' attribute.
`boolean` `isInformationalConstraintSupported()` Returns the value of the 'Informational Constraint Supported' attribute.
`boolean` `isPrimaryKeyNullable()` Returns the value of the 'Primary Key Nullable' attribute.
`boolean` `isUniqueKeyNullable()` Returns the value of the 'Unique Key Nullable' attribute.
`void` `setClusteredPrimaryKeySupported(boolean value)` Sets the value of the '`Clustered Primary Key Supported`' attribute.
`void` `setClusteredUniqueConstraintSupported(boolean value)` Sets the value of the '`Clustered Unique Constraint Supported`' attribute.
`void` `setDeferrableConstraintSupported(boolean value)` Sets the value of the '`Deferrable Constraint Supported`' attribute.
`void` `setInformationalConstraintSupported(boolean value)` Sets the value of the '`Informational Constraint Supported`' attribute.
`void` `setMaximumCheckConstraintIdentifierLength(int value)` Sets the value of the '`Maximum Check Constraint Identifier Length`' attribute.
`void` `setMaximumCheckExpressionLength(int value)` Sets the value of the '`Maximum Check Expression Length`' attribute.
`void` `setMaximumForeignKeyIdentifierLength(int value)` Sets the value of the '`Maximum Foreign Key Identifier Length`' attribute.
`void` `setMaximumPrimaryKeyIdentifierLength(int value)` Sets the value of the '`Maximum Primary Key Identifier Length`' attribute.
`void` `setPrimaryKeyNullable(boolean value)` Sets the value of the '`Primary Key Nullable`' attribute.
`void` `setUniqueKeyNullable(boolean value)` Sets the value of the '`Unique Key Nullable`' attribute.

Method Detail

### isDeferrableConstraintSupported

    boolean isDeferrableConstraintSupported()

  Returns the value of the 'Deferrable Constraint Supported' attribute.

  If the meaning of the 'Deferrable Constraint Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Deferrable Constraint Supported' attribute.
  See Also:
    `setDeferrableConstraintSupported(boolean)`, `DatabaseDefinitionPackage.getConstraintDefinition_DeferrableConstraintSupported()`

### setDeferrableConstraintSupported

    void setDeferrableConstraintSupported(boolean value)

  Sets the value of the '`Deferrable Constraint Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Deferrable Constraint Supported' attribute.
  See Also:
    `isDeferrableConstraintSupported()`

### isInformationalConstraintSupported

    boolean isInformationalConstraintSupported()

  Returns the value of the 'Informational Constraint Supported' attribute.

  If the meaning of the 'Informational Constraint Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Informational Constraint Supported' attribute.
  See Also:
    `setInformationalConstraintSupported(boolean)`, `DatabaseDefinitionPackage.getConstraintDefinition_InformationalConstraintSupported()`

### setInformationalConstraintSupported

    void setInformationalConstraintSupported(boolean value)

  Sets the value of the '`Informational Constraint Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Informational Constraint Supported' attribute.
  See Also:
    `isInformationalConstraintSupported()`

### isClusteredPrimaryKeySupported

    boolean isClusteredPrimaryKeySupported()

  Returns the value of the 'Clustered Primary Key Supported' attribute.

  If the meaning of the 'Clustered Primary Key Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Clustered Primary Key Supported' attribute.
  See Also:
    `setClusteredPrimaryKeySupported(boolean)`, `DatabaseDefinitionPackage.getConstraintDefinition_ClusteredPrimaryKeySupported()`

### setClusteredPrimaryKeySupported

    void setClusteredPrimaryKeySupported(boolean value)

  Sets the value of the '`Clustered Primary Key Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Clustered Primary Key Supported' attribute.
  See Also:
    `isClusteredPrimaryKeySupported()`

### isClusteredUniqueConstraintSupported

    boolean isClusteredUniqueConstraintSupported()

  Returns the value of the 'Clustered Unique Constraint Supported' attribute.

  If the meaning of the 'Clustered Unique Constraint Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Clustered Unique Constraint Supported' attribute.
  See Also:
    `setClusteredUniqueConstraintSupported(boolean)`, `DatabaseDefinitionPackage.getConstraintDefinition_ClusteredUniqueConstraintSupported()`

### setClusteredUniqueConstraintSupported

    void setClusteredUniqueConstraintSupported(boolean value)

  Sets the value of the '`Clustered Unique Constraint Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Clustered Unique Constraint Supported' attribute.
  See Also:
    `isClusteredUniqueConstraintSupported()`

### isPrimaryKeyNullable

    boolean isPrimaryKeyNullable()

  Returns the value of the 'Primary Key Nullable' attribute.

  If the meaning of the 'Primary Key Nullable' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Primary Key Nullable' attribute.
  See Also:
    `setPrimaryKeyNullable(boolean)`, `DatabaseDefinitionPackage.getConstraintDefinition_PrimaryKeyNullable()`

### setPrimaryKeyNullable

    void setPrimaryKeyNullable(boolean value)

  Sets the value of the '`Primary Key Nullable`' attribute.

  Parameters:
    `value` - the new value of the 'Primary Key Nullable' attribute.
  See Also:
    `isPrimaryKeyNullable()`

### isUniqueKeyNullable

    boolean isUniqueKeyNullable()

  Returns the value of the 'Unique Key Nullable' attribute.

  If the meaning of the 'Unique Key Nullable' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Unique Key Nullable' attribute.
  See Also:
    `setUniqueKeyNullable(boolean)`, `DatabaseDefinitionPackage.getConstraintDefinition_UniqueKeyNullable()`

### setUniqueKeyNullable

    void setUniqueKeyNullable(boolean value)

  Sets the value of the '`Unique Key Nullable`' attribute.

  Parameters:
    `value` - the new value of the 'Unique Key Nullable' attribute.
  See Also:
    `isUniqueKeyNullable()`

### getMaximumCheckExpressionLength

    int getMaximumCheckExpressionLength()

  Returns the value of the 'Maximum Check Expression Length' attribute.

  If the meaning of the 'Maximum Check Expression Length' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Maximum Check Expression Length' attribute.
  See Also:
    `setMaximumCheckExpressionLength(int)`, `DatabaseDefinitionPackage.getConstraintDefinition_MaximumCheckExpressionLength()`

### setMaximumCheckExpressionLength

    void setMaximumCheckExpressionLength(int value)

  Sets the value of the '`Maximum Check Expression Length`' attribute.

  Parameters:
    `value` - the new value of the 'Maximum Check Expression Length' attribute.
  See Also:
    `getMaximumCheckExpressionLength()`

### getParentUpdateDRIRuleType

    EList getParentUpdateDRIRuleType()

  Returns the value of the 'Parent Update DRI Rule Type' attribute list. The list contents are of type `ParentUpdateDRIRuleType`. The literals are from the enumeration `ParentUpdateDRIRuleType`.

  If the meaning of the 'Parent Update DRI Rule Type' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parent Update DRI Rule Type' attribute list.
  See Also:
    `ParentUpdateDRIRuleType`, `DatabaseDefinitionPackage.getConstraintDefinition_ParentUpdateDRIRuleType()`

### getParentDeleteDRIRuleType

    EList getParentDeleteDRIRuleType()

  Returns the value of the 'Parent Delete DRI Rule Type' attribute list. The list contents are of type `ParentDeleteDRIRuleType`. The literals are from the enumeration `ParentDeleteDRIRuleType`.

  If the meaning of the 'Parent Delete DRI Rule Type' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parent Delete DRI Rule Type' attribute list.
  See Also:
    `ParentDeleteDRIRuleType`, `DatabaseDefinitionPackage.getConstraintDefinition_ParentDeleteDRIRuleType()`

### getCheckOption

    EList getCheckOption()

  Returns the value of the 'Check Option' attribute list. The list contents are of type `CheckOption`. The literals are from the enumeration `CheckOption`.

  If the meaning of the 'Check Option' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Check Option' attribute list.
  See Also:
    `CheckOption`, `DatabaseDefinitionPackage.getConstraintDefinition_CheckOption()`

### getMaximumPrimaryKeyIdentifierLength

    int getMaximumPrimaryKeyIdentifierLength()

  Returns the value of the 'Maximum Primary Key Identifier Length' attribute.

  If the meaning of the 'Maximum Primary Key Identifier Length' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Maximum Primary Key Identifier Length' attribute.
  See Also:
    `setMaximumPrimaryKeyIdentifierLength(int)`, `DatabaseDefinitionPackage.getConstraintDefinition_MaximumPrimaryKeyIdentifierLength()`

### setMaximumPrimaryKeyIdentifierLength

    void setMaximumPrimaryKeyIdentifierLength(int value)

  Sets the value of the '`Maximum Primary Key Identifier Length`' attribute.

  Parameters:
    `value` - the new value of the 'Maximum Primary Key Identifier Length' attribute.
  See Also:
    `getMaximumPrimaryKeyIdentifierLength()`

### getMaximumForeignKeyIdentifierLength

    int getMaximumForeignKeyIdentifierLength()

  Returns the value of the 'Maximum Foreign Key Identifier Length' attribute.

  If the meaning of the 'Maximum Foreign Key Identifier Length' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Maximum Foreign Key Identifier Length' attribute.
  See Also:
    `setMaximumForeignKeyIdentifierLength(int)`, `DatabaseDefinitionPackage.getConstraintDefinition_MaximumForeignKeyIdentifierLength()`

### setMaximumForeignKeyIdentifierLength

    void setMaximumForeignKeyIdentifierLength(int value)

  Sets the value of the '`Maximum Foreign Key Identifier Length`' attribute.

  Parameters:
    `value` - the new value of the 'Maximum Foreign Key Identifier Length' attribute.
  See Also:
    `getMaximumForeignKeyIdentifierLength()`

### getMaximumCheckConstraintIdentifierLength

    int getMaximumCheckConstraintIdentifierLength()

  Returns the value of the 'Maximum Check Constraint Identifier Length' attribute.

  If the meaning of the 'Maximum Check Constraint Identifier Length' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Maximum Check Constraint Identifier Length' attribute.
  See Also:
    `setMaximumCheckConstraintIdentifierLength(int)`, `DatabaseDefinitionPackage.getConstraintDefinition_MaximumCheckConstraintIdentifierLength()`

### setMaximumCheckConstraintIdentifierLength

    void setMaximumCheckConstraintIdentifierLength(int value)

  Sets the value of the '`Maximum Check Constraint Identifier Length`' attribute.

  Parameters:
    `value` - the new value of the 'Maximum Check Constraint Identifier Length' attribute.
  See Also:
    `getMaximumCheckConstraintIdentifierLength()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.